petsc-3.13.6 2020-09-29
Report Typos and Errors

# TSTrajectoryGetUpdatedHistoryVecs

Get updated state and time-derivative history vectors.

### Synopsis

    #include "petscts.h"
    PetscErrorCode TSTrajectoryGetUpdatedHistoryVecs(TSTrajectory tj, TS ts, PetscReal time, Vec *U, Vec *Udot)

Collective on TSTrajectory

### Input Parameter

| tj | - the TS trajectory context
| ts | - the TS solver context
| time | - the requested time

### Output Parameter

| U | - state vector at given time (can be interpolated)
| Udot | - time-derivative vector at given time (can be interpolated)

Notes: The vectors are interpolated if time does not match any time step stored in the TSTrajectory(). Pass NULL to not request a vector. This function differs from TSTrajectoryGetVecs since the vectors obtained cannot be modified, and they need to be returned by calling TSTrajectoryRestoreUpdatedHistoryVecs().

### See Also

TSSetSaveTrajectory(), TSTrajectoryCreate(), TSTrajectoryDestroy(), TSTrajectoryRestoreUpdatedHistoryVecs(), TSTrajectoryGetVecs()

### Level

developer

### Location

src/ts/trajectory/interface/traj.c
Index of all TS routines
Table of Contents for all manual pages
Index of all manual pages